> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/publications/templates/edit-template/template-design/header-footer-elements.md).

# Header/Footer elements

| TextElement |                                    |
| ----------- | ---------------------------------- |
| Font        | The font used to display the text. |
| Color       | The color of the text.             |
| Size        | The size of the text in pixels.    |
| Text        | The text to display.               |

| ImageElement |                                                                                |
| ------------ | ------------------------------------------------------------------------------ |
| Image        | The image to include.                                                          |
| Width        | The max width of element in pixels. If not set full width will be used.        |
| Height       | The max height of elements in pixels. If not set the full height will be used. |

| HtmlElement |                     |
| ----------- | ------------------- |
| Html        | The html to render. |

| BackgroundElement |                                                                              |
| ----------------- | ---------------------------------------------------------------------------- |
| Background color  | The color used for background.                                               |
| Width             | The max width of element in pixels. If not set full width will be used.      |
| Height            | e max height of elements in pixels. If not set the full height will be used. |

### Positional horizontal

The horizontal position of element. If not set element will be placed at the left as default.

### Position vertical

The vertical position of element. If not set the element will be placed at the top as default.

### Padding

The left, right, top and bottom padding for elements in pixels.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/pim3/reference/publications/templates/edit-template/template-design/header-footer-elements.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
